Subject: Re: [MMUSIC] RTSP From header issue

From: "Martin Stiemerling" <[email-masked]>
Date: Mon, 2 Feb 2009 11:40:38 +0100

Hi,

A good question anyhow. I also did wonder about the from header while editing the HTTP parts of the draft. 

I wouldn't removing it, as it does look a bit as legacy which isn't used.

  Martin

[email-masked]

NEC Laboratories Europe - Network Research Division
NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | Registered in England 2832014 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Rémi Denis-Courmont
> Sent: Thursday, January 08, 2009 9:38 AM
> To: [email-masked]
> Cc: ext Ingemar Johansson S
> Subject: Re: [MMUSIC] RTSP From header issue
> 
> On Thursday 08 January 2009 10:33:25 ext Ingemar Johansson S, you
> wrote:
> > Hi
> >
> > Going through the syntax of the parts that handles URI's I found a
> possible
> > issue with the syntax of the From header. 1) In section 16.23 in RTSP
> 2.0
> > there is only a reference section 14.22 in RFC2616 which contains a
> rather
> > simple definition. From   = "From" ":" mailbox
> > Section 20.2.3 in RTSP 2.0 however contains a much more elaborate
> > definition with extensions (from-param). Isn't it better to specify
> > something in section 16.23 like "The From header is defined in in
> [H14.22]
> > but is extended in this specification" ?
> 
> Is anyone using the From: in HTTP or RTSP anyhow? I guess not.
> 
> --
> Rémi Denis-Courmont
> Maemo Software, Nokia Devices R&D
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic

---

From: "Martin Stiemerling" <[email-masked]>
Date: Mon, 2 Feb 2009 11:46:02 +0100

well, it should read

I wouldn't mind removing...

  Martin

[email-masked]

> From: Martin Stiemerling
> Sent: Monday, February 02, 2009 11:41 AM
> To: 'Rémi Denis-Courmont'; [email-masked]
> Subject: RE: [MMUSIC] RTSP From header issue
> 
> Hi,
> 
> NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road,
> London W3 6BL | Registered in England 2832014

---

From: "Rémi Denis-Courmont" <[email-masked]>
Date: Mon, 2 Feb 2009 12:52:01 +0200

> I wouldn't removing it, as it does look a bit as legacy which isn't used.
            ^
          mind?

I definitely would remove it. It is not used. There are high-level reasons not 
to use it: privacy/spam. There is a low-level reasons not to use it: media 
player is typically not provisioned with email address.

I would even advocate removing it from httpbis, if I were asked...

---

From: "Ingemar Johansson S" <[email-masked]>
Date: Wed, 4 Feb 2009 09:41:03 +0100

Hi

I have no specific opinon about the existence of the From header.
I would however like bring up my second question about the use of DQ around URI's. 

>3) In general. The idea to use DQ around URI's in some cases and in some cases 
> not may cause some headache for the implementor. 
> Sure, one should read the ABNF but I would say that it would be more 
> consistent to always use DQ around URI's in headers regardless if they are needed or not.

Any comments ?

Regards
/Ingemar

> From: Rémi Denis-Courmont [mailto:[email-masked]] 
> Sent: den 2 februari 2009 11:52
> To: ext Martin Stiemerling
> Cc: [email-masked]; Ingemar Johansson S
> > A good question anyhow. I also did wonder about the from 
> header while 
> > editing the HTTP parts of the draft.
> >
> I definitely would remove it. It is not used. There are 
> high-level reasons not to use it: privacy/spam. There is a 
> low-level reasons not to use it: media player is typically 
> not provisioned with email address.
>

---

From: "Martin Stiemerling" <[email-masked]>
Date: Wed, 4 Feb 2009 10:06:15 +0100

Hi Ingemar,

> Behalf Of Ingemar Johansson S
> Sent: Wednesday, February 04, 2009 9:41 AM
> To: Rémi Denis-Courmont; Martin Stiemerling
> Cc: [email-masked]

I'm not an implementer (not in general but in the case of RTSP I'm not ;), anyhow:

checking the ABNF, it seems to be not straight forward when the RTSP-URI is set in DQ and when not. I.e., it would be good to get this streamlined. 

However, let the implementers speak up.

  Martin

[email-masked]